<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
/*
Route::group(['middleware' => 'auth'], function () {
    Route::get('/laravel-filemanager', '\UniSharp\LaravelFilemanager\Controllers\LfmController@show');
    Route::post('/laravel-filemanager/upload', '\UniSharp\LaravelFilemanager\Controllers\UploadController@upload');
    // list all lfm routes here...
});
*/

//Route::get('uploadUser', ['uses' => 'HomeController@uploadUser']);

Route::get('/', ['as' => 'site.index', 'uses' => 'HomeController@index']);
Route::get('lang/{lang}', ['as' => 'site.changeLanguage', 'uses' => 'HomeController@changeLanguage']);
Route::get('aboutUs', ['as' => 'site.aboutUs', 'uses' => 'HomeController@aboutUs']);
//Route::get('carbon-industry', ['as' => 'site.carbonIndustry', 'uses' => 'HomeController@carbonIndustry']);
//Route::get('vision', ['as' => 'site.vision', 'uses' => 'HomeController@vision']);
Route::get('contact-referrer/{ref?}', ['as' => 'site.contact-referrer', 'uses' => 'HomeController@contactReferrer']);
Route::post('contact-referrer/{ref?}', ['uses' => 'HomeController@postContactReferrer']);
Route::get('terms-and-conditions', ['as' => 'site.terms', 'uses' => 'HomeController@terms']);
Route::get('compensation-plan', ['as' => 'site.compansationPlan', 'uses' => 'HomeController@compansationPlan']);
Route::get('cookie-policy', ['as' => 'site.cookiePolicy', 'uses' => 'HomeController@cookiePolicy']);
Route::get('privacy-policy', ['as' => 'site.privacyPolicy', 'uses' => 'HomeController@privacyPolicy']);
Route::get('contact-support', ['as' => 'site.contactSupport', 'uses' => 'HomeController@contactSupport']);
Route::post('contact-support', ['uses' => 'HomeController@postContactSupport']);
Route::get('faq', [ 'as' => 'site.faq', 'uses' => 'HomeController@faq' ]);
//Route::get('shop', ['as' => 'site.shop', 'uses' => 'HomeController@shop']);

Route::get('getHasher/{hash}', function($hash){
	return Hash::make($hash);
});
/*
Route::get('createUser', function(){
	
	$user = new App\Models\User();
	
	$user->username ="noge075";
	$user->email = "noge075@gmail.com";
	$user->password =  "teszt";
	$user->secondary_password = "teszt";
	$user->sponsor_code = 11111111;
	$user->permissions = NULL;
	$user->save();
});
*/

Route::get('captcha', function() {
    return captcha_img('flat');
});

//Route::group(['domain' => 'desk.b2boption.com' ], function() {
Route::group(['prefix' => 'desk'], function() {


    Route::get('url-to-qr', ['as' => 'qr-codes.url', 'uses' => 'HomeController@getQRCodeUrl']);
    Route::get('text-to-qr', ['as' => 'qr-codes.text', 'uses' => 'HomeController@getQRCodeStr']);


  	//Route::get('public/terms', [ 'as' => 'terms.public', 'uses' => 'PublicController@terms_public' ]);

 	Route::group(['prefix' => 'ajax'], function(){
    	Route::post('/getSponsor', [ 'as' => 'ajax.getSponsor', 'uses' => 'AjaxController@getSponsor' ]);
      	//Route::post('/getUpline', ['as' => 'ajax.getUpline', 'uses' => 'AjaxController@getUpline']);
  	});

  	# CLIENTZONE #
  	Route::group(['middleware' => ['auth', 'role:user,admin,support'], 'namespace' => 'Clientzone'], function() {

	      # DASHBOARD #
		  Route::get('/', [ 'as' => 'home', 'uses' => 'DashboardController@index' ]);
		  Route::get('reports/download/{id?}/{type?}', ['as' => 'reports.download', 'uses' => 'DashboardController@getReportFile']);
            Route::post('activate', ['uses' => 'DashboardController@postActivate']);
            Route::get('activate/reactivate', ['as' => 'dashboard.activate.resend', 'uses' => 'DashboardController@getResendCode']);
            Route::get('activate/{code?}', ['as' => 'home.activate', 'uses' => 'DashboardController@getActivate']);

        # FAQ #
		  Route::get('faq', [ 'as' => 'faq', 'uses' => 'OthersController@faq' ]);

		  # T&C #
		  Route::get('terms', [ 'as' => 'terms', 'uses' => 'OthersController@terms' ]);

		  # MAILBOX #
		  Route::get('mailbox', [ 'as' => 'mailbox.inbox', 'uses' => 'MailboxController@inbox' ]);

		  # NEWS #
		  Route::get('news', [ 'as' => 'news', 'uses' => 'NewsController@index' ]);
		  Route::get('news/{title}', [ 'as' => 'news.view', 'uses' => 'NewsController@view' ]);

		  # TREE #
        /*if (config('mlm.mlm_enabled')) {
            Route::get('tree/placement', ['as' => 'tree.placement', 'uses' => 'TreeController@placement']);
            Route::post('tree/placement', ['uses' => 'TreeController@postPlacement']);
            Route::get('tree/{id?}', ['as' => 'tree', 'uses' => 'TreeController@index']);
            Route::get('tree/iframe/{id?}', ['as' => 'tree.iframe', 'uses' => 'TreeController@iframe']);
        }*/

        Route::get('tree/placement', [ 'as' => 'tree.placement', 'uses' => 'TreeController@placement' ]);
        Route::post('tree/placement', ['uses' => 'TreeController@postPlacement' ]);
        Route::get('tree/genealogy', [ 'as' => 'tree.genealogyTree', 'uses' => 'TreeController@genealogyTree' ]);
        //Route::get('tree/{id?}', [ 'as' => 'tree', 'uses' => 'TreeController@index' ]);
        Route::get('tree/{id?}', [ 'as' => 'tree-new', 'uses' => 'TreeController@indexNew' ]);
        Route::get('tree/iframe/{id?}', [ 'as' => 'tree.iframe', 'uses' => 'TreeController@iframe' ]);

		  # SUPPORT #
		  Route::get('support', [ 'as' => 'support', 'uses' => 'SupportController@index' ]);
		  Route::get('support/open', [ 'as' => 'support.open', 'uses' => 'SupportController@open' ]);
		  Route::get('support/closed', [ 'as' => 'support.closed', 'uses' => 'SupportController@closed' ]);
		  Route::get('support/view/{id}', [ 'as' => 'support.view', 'uses' => 'SupportController@view' ]);
		  Route::post('support/view/{id}', [ 'as' => 'support.view', 'uses' => 'SupportController@postReply' ]);
		  Route::get('support/new', [ 'as' => 'support.new', 'uses' => 'SupportController@getNew' ]);
		  Route::post('support/new', [ 'uses' => 'SupportController@postNew' ]);
		  Route::get('support/attachment/{id}', [ 'as' => 'support.attachment', 'uses' => 'SupportController@getAttachment' ]);

			# TRADING PLATFORM #
		  	//Route::get('trading-platform', [ 'as' => 'trading-platform', 'uses' => 'TradingPlatformController@index' ]);

		  # COMMISSION #
        /*if (config('mlm.mlm_enabled')) {
            Route::get('commission', ['as' => 'commission', 'uses' => 'TreeController@commission']);
        }*/

		  /*Route::get('green-shilling', [ 'as' => 'green-shilling.index', 'uses' => 'GreenshillingController@index' ]);
		  Route::get('green-shilling/buy', [ 'as' => 'green-shilling.buy', 'uses' => 'GreenshillingController@buyMiningSlots']);
		  Route::post('green-shilling/buy', ['uses' => 'GreenshillingController@postBuyMiningSlots']);
*/


        # PACKAGES #
		  Route::get('packages', [ 'as' => 'packages', 'uses' => 'PackagesController@index' ]);
		  Route::get('packages/purchase', [ 'as' => 'packages.purchase', 'uses' => 'PackagesController@getPurchase' ]);

        //Route::get('packages', [ 'as' => 'packages.purchase', 'uses' => 'PackagesController@getPurchase' ]);

		  Route::post('packages/purchase', ['uses' => 'PackagesController@postPurchase']);

        Route::get('packages/purchase/peak/cancel', ['uses' => 'PackagesController@getCancelPurchasePeak', 'as' => 'packages.purchase.peak.cancel']);
        Route::get('packages/purchase/peak/{address}', ['uses' => 'PackagesController@getPurchasePeak', 'as' => 'packages.purchase.peak']);

         # DEPOSIT #
         Route::get('deposits', ['as' => 'deposits', 'uses' => 'DepositsController@index']);

		  # GIFT CARDS #
		  Route::get('gift-cards', [ 'as' => 'gift-cards', 'uses' => 'GiftCardsController@index' ]);

            Route::get('gift-cards/activated', [ 'as' => 'gift-cards-activated', 'uses' => 'GiftCardsController@activated' ]);

		  Route::get('gift-cards/process', [ 'as' => 'gift-cards.basket.process', 'uses' => 'GiftCardsController@getProcess' ]);
		  Route::post('gift-cards/process', [ 'uses' => 'GiftCardsController@postProgress' ]);
		  Route::get('gift-cards/basket/remove/{id}', [ 'as' => 'gift-cards.basket.remove', 'uses' => 'GiftCardsController@getBasketRemove' ]);
		  Route::get('gift-cards/purchase', [ 'as' => 'gift-cards.purchase', 'uses' => 'GiftCardsController@getPurchase' ]);
		  Route::post('gift-cards/purchase', ['uses' => 'GiftCardsController@postPurchase']);

        # Auction Purchase #
        //Route::get('auction-purchase', [ 'as' => 'auction-purchase', 'uses' => 'AuctionPurchaseController@index' ]);
        Route::get('auction-purchase', [ 'as' => 'auction-purchase', 'uses' => 'AuctionPurchaseController@getPurchase' ]);

        //Route::get('auction-purchase/purchase', [ 'as' => 'auction-purchase', 'uses' => 'AuctionPurchaseController@getPurchase' ]);

        Route::get('auction-purchase/purchase', [ 'as' => 'auction-purchase.purchase', 'uses' => 'AuctionPurchaseController@getPurchase' ]);

        Route::get('auction-purchase/process', [ 'as' => 'auction-purchase.basket.process', 'uses' => 'AuctionPurchaseController@getProcess' ]);
        Route::post('auction-purchase/process', [ 'uses' => 'AuctionPurchaseController@postProgress' ]);
        Route::get('auction-purchase/basket/remove/{id}', [ 'as' => 'auction-purchase.basket.remove', 'uses' => 'AuctionPurchaseController@getBasketRemove' ]);


        //Route::get('auction-purchase/purchase', [ 'as' => 'auction-purchase.purchase', 'uses' => 'AuctionPurchaseController@getPurchase' ]);


        Route::post('auction-purchase/purchase', ['uses' => 'AuctionPurchaseController@postPurchase']);

        Route::get('auction-purchase/shipping/{id?}', ['as' => 'auction-purchase.shipping.popup', 'uses' => 'AuctionPurchaseController@getShippingInfo']);


        # SHOP #
		  /*Route::get('shop', [ 'as' => 'shop.index', 'uses' => 'ShopController@getIndex' ]);
		  Route::get('shop/basket', [ 'as' => 'shop.basket', 'uses' => 'ShopController@getBasket' ]);
		  Route::get('shop/process', [ 'as' => 'shop.process', 'uses' => 'ShopController@getProcess' ]);
		  Route::post('shop/process', [ 'uses' => 'ShopController@postProgress' ]);
*/
		  # TRANSACTIONS #
         Route::get('transactions', [ 'as' => 'transactions.index', 'uses' => 'TransactionsController@index' ]);
		  //Route::get('transactions/cashout', [ 'as' => 'transactions.cashout', 'uses' => 'TransactionsController@getCashouts' ]);

		 // Route::get('activation-history', [ 'as' => 'activation-history', 'uses' => 'TransactionsController@getActivationHistory' ]);

		  # ACCOUNT SUMMARY #
		  //Route::get('account-summary', [ 'as' => 'account-summary', 'uses' => 'TransactionsController@getAccountSummary']);

		  # WALLET #
		  Route::get('wallet', ['as' => 'wallet.index', 'uses' => 'WalletController@index']);
		  //Route::post('wallet', ['uses' => 'WalletController@postIndex']);
		  //Route::get('wallet/deposit/success', ['as' => 'wallet.deposit.success', 'uses' => 'WalletController@depositSuccess']);
		  //Route::get('wallet/deposit/pending/bitcoin', ['as' => 'wallet.deposit.pending-bitcoin', 'uses' => 'WalletController@depositPendingBitcoin']);

		  /*Route::get('wallet/deposit/success/coinbase', ['as' => 'wallet.deposit.success-coinbase', 'uses' => 'WalletController@depositSuccessCoinbase']);
		  Route::get('wallet/deposit/cancel/coinbase', ['as' => 'wallet.deposit.cancel-coinbase', 'uses' => 'WalletController@depositCancelCoinbase']);*/

		  /*Route::get('wallet/deposit/c-cex', ['as' => 'wallet.deposit-ccex', 'uses' => 'WalletController@depositSuccessCcex']);

		  Route::get('wallet/deposit/wire', ['as' => 'wallet.deposit.wire', 'uses' => 'WalletController@getDepositWire']);
		  Route::get('wallet/deposit/wire/cancel/{id}', ['as' => 'wallet.deposit.wire.cancel', 'uses' => 'WalletController@getDepositWireCancel']);
		  Route::get('wallet/deposit/bitcoin/cancel/{id}', ['as' => 'wallet.deposit.bitcoin.cancel', 'uses' => 'WalletController@getDepositBitcoinCancel']);


		  Route::get('wallet/bank-profiles', [ 'as' => 'wallet.bank-profiles', 'uses' => 'WalletController@getBankProfiles' ]);
		  Route::get('wallet/bank-profiles/new', [ 'as' => 'wallet.bank-profiles.new', 'uses' => 'WalletController@getBankProfilesNew' ]);
		  Route::post('wallet/bank-profiles/new', [ 'uses' => 'WalletController@postBankProfilesNew' ]);
		  Route::get('wallet/bank-profiles/view/{id}', [ 'as' => 'wallet.bank-profiles.view', 'uses' => 'WalletController@getBankProfilesView' ]);
		  Route::post('wallet/bank-profiles/view/{id}', [ 'uses' => 'WalletController@postBankProfilesView' ]);
		   Route::get('wallet/bank-profiles/delete/{id}', [ 'as' => 'wallet.bank-profiles.delete', 'uses' => 'WalletController@getBankProfilesDelete' ]);

		  Route::get('wallet/transfer', ['as' => 'wallet.transfer', 'uses' => 'WalletController@getTransfer']);
		  Route::post('wallet/transfer', ['uses' => 'WalletController@postTransfer']);

		  Route::get('wallet/trade-to-member', ['as' => 'wallet.trade-to-member', 'uses' => 'WalletController@getTradeToMember']);
		  Route::post('wallet/trade-to-member', ['uses' => 'WalletController@postTradeToMember']);

		  Route::get('wallet/transfer-balance', ['as' => 'wallet.transfer-balance', 'uses' => 'WalletController@getTransferBalance']);
		  Route::post('wallet/transfer-balance', ['uses' => 'WalletController@postTransferBalance']);

		  Route::get('wallet/gateway-accounts', [ 'as' => 'wallet.gw-accounts', 'uses' => 'WalletController@getGatewayAccounts' ]);
		  Route::post('wallet/gateway-accounts', [ 'uses' => 'WalletController@postGatewayAccounts' ]);

		  Route::get('wallet/withdrawal', ['as' => 'wallet.cashout', 'uses' => 'WalletController@getCashout']);
		  Route::post('wallet/withdrawal', ['uses' => 'WalletController@postCashout']);
*/
		  # USER #
		  Route::get('profile', ['as' => 'user.profile', 'uses' => 'UserController@getProfile']);
		  Route::get('profile/verify', ['as' => 'user.verify', 'uses' => 'UserController@getVerify']);
		  Route::post('profile/verify', ['uses' => 'UserController@postVerify']);
		  Route::get('profile/settings', ['as' => 'user.settings', 'uses' => 'UserController@getSettings']);
		  Route::post('profile/settings', ['uses' => 'UserController@postSettings']);

		  Route::get('profile/documents', ['as' => 'user.documents', 'uses' => 'UserController@getDocuments']);
		  //Route::post('profile/documents', ['uses' => 'UserController@postDocuments']);

        Route::get('profile/location', ['as' => 'user.location', 'uses' => 'UserController@getLocation']);
        //Route::post('profile/location', ['uses' => 'UserController@postLocation']);



		  # Certificates
		 /* Route::get('certificates/issue', ['as' => 'certificates.issue', 'uses' => 'CertificatesController@issue']);
		  Route::post('certificates/issue', ['uses' => 'CertificatesController@postIssue']);
		  Route::get('certificates/list', ['as' => 'certificates.list', 'uses' => 'CertificatesController@list']);
		  Route::get('certificates/view/{id}', ['as' => 'certificates.view', 'uses' => 'CertificatesController@view']);
		  Route::get('certificates/download/{id}', ['as' => 'certificates.download', 'uses' => 'CertificatesController@download']);
*/
		  # DONATE TREE #
		  //Route::get('donate-tree', ['as' => 'donate-tree', 'uses' => 'CertificatesController@donateTree']);
		  //Route::post('donate-tree', ['uses' => 'CertificatesController@postDonateTree']);

		  # AFFILIATE TOOLS #
		  //Route::get('/affiliate-tools', [ 'as' => 'affiliate', 'uses' => 'AffiliateController@getIndex' ]);


		  # AUCTION
		Route::get('auction/refund/{id?}', ['as' => 'auction.refund', 'uses' => 'AuctionController@refund']);
        Route::get('auction/my-butlers', ['as' => 'auction.butlers', 'uses' => 'AuctionController@getButlers']);
        Route::post('auction/my-butlers/{id}', ['uses' => 'AuctionController@postButlers']);


	  	Route::get('auction', ['as' => 'auction.index', 'uses' => 'AuctionController@getIndex']);
	  	Route::get('auction/my-watchlist', ['as' => 'auction.watchlist', 'uses' => 'AuctionController@getWatchlist']);
	  	Route::get('auction/won-auctions', ['as' => 'auction.won', 'uses' => 'AuctionController@getWonItems']);
	  	Route::get('auction/packages', ['as' => 'auction.packages', 'uses' => 'AuctionController@getPackages']);
	  	Route::get('auction/packages/basket', ['as' => 'auction.packages.basket', 'uses' => 'AuctionController@getBasket']);
	  	Route::post('auction/packages/basket', ['uses' => 'AuctionController@postBasket']);
	  	Route::get('auction/packages/basket/remove/{id}', ['as' => 'auction.packages.basket.remove', 'uses' => 'AuctionController@getBasketRemove']);
		Route::get('auction/category/{title}', ['as' => 'auction.category', 'uses' => 'AuctionController@getCategory']);
		Route::get('auction/price-category/{category}', ['as' => 'auction.price-category', 'uses' => 'AuctionController@getPriceCategory']);
		Route::get('auction/{id}', ['as' => 'auction.view', 'uses' => 'AuctionController@getView']);
        //Route::post('auction/{id}', [ 'as' => 'auction.view', 'uses' => 'AuctionController@getView' ]);



        # BIDBUTLER #
        Route::get('bidbutler', [ 'as' => 'bidbutler', 'uses' => 'AuctionController@getBidButler' ]);

        Route::get('profile/saveQRCode', ['as' => 'user.saveQRCode', 'uses' => 'UserController@downloadQRCode']);

		  # CLIENTZONE AJAX #
		  Route::group(['prefix' => 'ajax', 'namespace' => 'Ajax'], function() {

              Route::post('profile/document', [ 'as' => 'ajax.user.send-verification', 'uses' => 'UserController@setVerificationPending' ]);
              Route::post('packages/purchase/peak/status', ['as' => 'clientzone.ajax.packages.purchase.peak.status', 'uses' => 'PackagesController@postPackagesPeakStatus']);

		      # MAILBOX
		      Route::post('mailbox/messages', ['as' => 'clientzone.ajax.mailbox-messages', 'uses' => 'MailboxController@postMessages']);
		      Route::post('mailbox/view', ['as' => 'clientzone.ajax.mailbox-view', 'uses' => 'MailboxController@postViewMessage']);
		      Route::post('mailbox/set/important', ['as' => 'clientzone.ajax.mailbox-set-important', 'uses' => 'MailboxController@postSetImportant']);

              Route::post('mailbox/delete/message', ['as' => 'clientzone.ajax.mailbox-delete-message', 'uses' => 'MailboxController@postDeleteMessage']);
              Route::post('mailbox/trash/message', ['as' => 'clientzone.ajax.mailbox-trash-message', 'uses' => 'MailboxController@postTrashMessage']);


              Route::post('profile/documents', [ 'as' => 'clientzone.ajax.documents.imageUpload', 'uses' => 'UserController@postDocuments' ]);
              Route::post('profile/location', [ 'as' => 'clientzone.ajax.location.imageUpload', 'uses' => 'UserController@postLocation' ]);

              Route::post('profile/location/delete', [ 'as' => 'clientzone.ajax.location.delete', 'uses' => 'UserController@deleteImages' ]);
              Route::post('profile/documents/delete', [ 'as' => 'clientzone.ajax.documents.delete', 'uses' => 'UserController@deleteImages' ]);

		      # TRADING PLATFORM #
		      /*Route::post('trading-platform/data', ['as' => 'clientzone.ajax.trading-platform', 'uses' => 'TradingPlatformController@postPlatformData']);
		      Route::post('trading-platform/buy', ['as' => 'clientzone.ajax.trading-platform.buy', 'uses' => 'TradingPlatformController@postBuy']);
		      Route::post('trading-platform/sell', ['as' => 'clientzone.ajax.trading-platform.sell', 'uses' => 'TradingPlatformController@postSell']);
		      Route::post('trading-platform/cancel', ['as' => 'clientzone.ajax.trading-platform.cancel', 'uses' => 'TradingPlatformController@postCancel']);
		      Route::post('trading-platform/list', ['as' => 'clientzone.ajax.trading-platform.listOrders', 'uses' => 'TradingPlatformController@postListOrders']);
                */
		      # TREE
		      //Route::post('commissions.table', [ 'as' => 'clientzone.ajax.commissions.table', 'uses' => 'TreeController@postCommissionsTable' ]);
		      //Route::post('tree.checkAddMember', [ 'as' => 'clientzone.ajax.tree.checkAddMember', 'uses' => 'TreeController@postCheckAddMember' ]);

              //Route::post('downline.table', [ 'as' => 'clientzone.ajax.tree.downline.table', 'uses' => 'TreeController@postDownlineTable' ]);
              //Route::post('downline.search', [ 'as' => 'clientzone.ajax.tree.downline.search', 'uses' => 'TreeController@postSearchDownline' ]);
              Route::post('tree/genealogy.treeview', [ 'as' => 'clientzone.ajax.tree.genealogy.treeviews', 'uses' => 'TreeController@postGetTreeView' ]);

		      #CEERTIFICATES
		      //Route::post('certificates.table', [ 'as' => 'clientzone.ajax.certificates.table', 'uses' => 'CertificatesController@postCertificatesTable' ]);

		      # DONATE
		      //Route::post('donatehistory.table', [ 'as' => 'clientzone.ajax.donatehistory.table', 'uses' => 'CertificatesController@postDonateHistoryTable' ]);

		      # GREEN SHILLING #
		      //Route::post('green-shilling/miningHistory.table', [ 'as' => 'clientzone.ajax.green-shilling.miningHistory.table', 'uses' => 'GreenShillingController@postMiningHistoryTable' ]);

		      # TOKENS #
		      Route::post('packages.table', [ 'as' => 'clientzone.ajax.packages.table', 'uses' => 'PackagesController@postPackagesTable' ]);
		      Route::post('packages.addTo', [ 'as' => 'clientzone.ajax.packages.addTo', 'uses' => 'PackagesController@postPackagesAddTo' ]);


              Route::post('deposits.table', [ 'as' => 'clientzone.ajax.deposits.table', 'uses' => 'DepositsController@postDepositsTable' ]);


		      # GIFT CARDS #
		      Route::post('giftcards.table', [ 'as' => 'clientzone.ajax.giftcards.table', 'uses' => 'GiftCardsController@postGiftCardsTable' ]);
		      Route::post('giftcards.addTo', [ 'as' => 'clientzone.ajax.giftcards.addTo', 'uses' => 'GiftCardsController@postGiftCardsAddTo' ]);
              Route::post('giftcards.activate', [ 'as' => 'clientzone.ajax.giftcards.activate', 'uses' => 'GiftCardsController@postGiftCardActivate' ]);

              # Auction Purchase #
              Route::post('auctionpurchase.table', [ 'as' => 'clientzone.ajax.auctionpurchase.table', 'uses' => 'AuctionPurchaseController@postAuctionPurchaseTable' ]);
              Route::post('auctionpurchase.addTo', [ 'as' => 'clientzone.ajax.auctionpurchase.addTo', 'uses' => 'AuctionPurchaseController@postAuctionPurchaseAddTo' ]);

              Route::post('auctionpurchase.status', [ 'as' => 'clientzone.ajax.auctionpurchase.status', 'uses' => 'AuctionPurchaseController@postAuctionPurchaseStatusChange' ]);

		      //Route::post('shop.addTo', [ 'as' => 'clientzone.ajax.shop.addTo', 'uses' => 'ShopController@postShopAddTo' ]);
		      //Route::post('shop.remove', [ 'as' => 'clientzone.ajax.shop.remove', 'uses' => 'ShopController@postShopRemove' ]);

		      # TRANSACTIONS #
		      Route::post('transactions.table', [ 'as' => 'clientzone.ajax.transactions.table', 'uses' => 'TransactionsController@postTransactionsTable' ]);
		      Route::post('transactions.bitcoin.txid', [ 'as' => 'clientzone.ajax.transactions.bitcoin.txid', 'uses' => 'TransactionsController@postTransactionsBitcoinTXID' ]);
		      Route::post('cashouts.table', [ 'as' => 'clientzone.ajax.cashouts.table', 'uses' => 'TransactionsController@postTransactionsTable' ]);
		      Route::post('activationHistory.table', [ 'as' => 'clientzone.ajax.activationHistory.table', 'uses' => 'TransactionsController@postActivationHistoryTable' ]);

		      # ACCOUNT SUMMARY #
		      //Route::post('accounting.data', [ 'as' => 'clientzone.ajax.accounting.data', 'uses' => 'TransactionsController@postAccountSummaryData' ]);

		      # AUCTION #
		      Route::post('auction/place-bid', [ 'as' => 'clientzone.ajax.auction.place-bid', 'uses' => 'AuctionController@postPlaceBid' ]);
		      Route::post('auction/buy-it-now', [ 'as' => 'clientzone.ajax.auction.buy-it-now', 'uses' => 'AuctionController@postBuyItNow' ]);
		      Route::post('auction/buyprice', ['as' => 'clientzone.ajax.auction.buyprice', 'uses' => 'AuctionController@postGetBuyPrice']);
		      Route::post('auction/set-bid-butler', [ 'as' => 'clientzone.ajax.auction.set-bid-butler', 'uses' => 'AuctionController@postSetBidButler']);

              Route::post('auction/clear-bid-butler', [ 'as' => 'clientzone.ajax.auction.clear-bid-butler', 'uses' => 'AuctionController@postClearBidButler']);

		      Route::post('auction/add-watchlist', ['as' => 'clientzone.ajax.auction.add-watchlist', 'uses' => 'AuctionController@postSaveWatchlist']);
		      Route::post('auction/packages.addTo', [ 'as' => 'clientzone.ajax.auction.packages.addTo', 'uses' => 'AuctionController@postPackagesAddTo' ]);
              Route::post('bidbutler.table', [ 'as' => 'clientzone.ajax.bidbutler.table', 'uses' => 'AuctionController@postBidButlerTable' ]);

		      # NOTIFICATIONS #
		      Route::post('notifications/check', ['as' => 'ajax.notifications.check', 'uses' => 'NotificationsController@postGetNotifs']);
		      Route::post('notifications/click', ['as' => 'ajax.notifications.click', 'uses' => 'NotificationsController@postClickNotif']);
              Route::post('notifications/clear', ['as' => 'ajax.notifications.clear', 'uses' => 'NotificationsController@postClearNotif']);
              Route::post('notifications/delete', ['as' => 'ajax.notifications.delete', 'uses' => 'NotificationsController@postDelNotif']);
		  });

		  # CLIENTZONE AJAX #


    });





	Route::group(['namespace' => 'Auth'], function() {

		Route::get('login', ['as' => 'auth.login', 'uses' => 'LoginController@showLoginForm']);
		Route::post('login', ['uses' => 'LoginController@login']);
		Route::get('logout', ['as' => 'auth.logout', 'uses' => 'LoginController@logout']);

		Route::get('register/{ref?}', ['as' => 'auth.register', 'uses' => 'RegisterController@getRegistration']);

		Route::post('register/{ref?}', ['uses' => 'RegisterController@postRegister']);
		//Route::get('activate/{code}', ['as' => 'auth.activate', 'uses' => 'AuthController@getActivate']);
		//Route::get('reactivate', ['as' => 'auth.reactivate', 'uses' => 'AuthController@getResendActivation']);
		//Route::post('reactivate', ['uses' => 'AuthController@postResendActivation']);
		//Route::get('forgot', ['as' => 'auth.forgot', 'uses' => 'ResetPasswordController@getEmail']);
		//Route::post('forgot', ['uses' => 'ResetPasswordController@postEmail']);
		//Route::get('reset/{code}', ['as' => 'auth.reset.form', 'uses' => 'ResetPasswordController@getReset']);
		//Route::post('reset/{code}', ['uses' => 'ResetPasswordController@postReset']);




            Route::post('/password/email', 'CustomForgotPasswordController@sendResetLinkEmail')->name('custom.password.email');
            Route::get('/password/reset', 'CustomForgotPasswordController@showLinkRequestForm')->name('custom.password.request');
            Route::post('/password/reset', 'CustomResetPasswordController@reset');
            Route::get('/password/reset/{token}', 'CustomResetPasswordController@showResetForm')->name('custom.password.reset');




	});

	# ADMIN #
	Route::group(['namespace' => 'Admin', 'prefix' => 'admin', 'middleware' => ['auth', 'role:admin,support']], function() {
	  Route::get('/', ['as' => 'admin.home', 'uses' => 'DashboardController@index']);

	  # MASS MAILER #
	  Route::get('massmailer', [ 'as' => 'admin.massmailer', 'uses' => 'MassMailerController@index' ]);
	  Route::post('massmailer', ['uses' => 'MassMailerController@send']);

	  # EMAIL TEMPLATES #
	  Route::get('email-templates', [ 'as' => 'admin.emailtemplates', 'uses' => 'EmailTemplatesController@index' ]);
	  Route::get('email-templates/new', [ 'as' => 'admin.emailtemplates.new', 'uses' => 'EmailTemplatesController@getNew' ]);
	  Route::post('email-templates/new', [ 'uses' => 'EmailTemplatesController@postNew' ]);
	  Route::get('email-templates/edit/{id?}', [ 'as' => 'admin.emailtemplates.edit', 'uses' => 'EmailTemplatesController@getEdit' ]);
	  Route::post('email-templates/edit/{id?}', [ 'uses' => 'EmailTemplatesController@postEdit' ]);

	  # CONFIG #
	  Route::get('configuration', ['as' => 'admin.configuration', 'uses' => 'ConfigurationController@index']);
	  Route::post('configuration', 'ConfigurationController@editPost');

	  # PROCESSORS #
	  Route::get('processors', [ 'as' => 'admin.processors', 'uses' => 'ProcessorsController@index' ]);
	  Route::post('processors', [ 'uses' => 'ProcessorsController@postSave' ]);
	  Route::get('processors/wire-edit', [ 'as' => 'admin.processors.wireedit', 'uses' => 'ProcessorsController@editWire']);
	  Route::post('processors/wire-edit', [ 'uses' => 'ProcessorsController@editWirePost' ]);

	  # TOKENS #
	  Route::get('packages', [ 'as' => 'admin.packages', 'uses' => 'PackagesController@index' ]);
	  Route::get('packages/view/{id?}', [ 'as' => 'admin.packages.view', 'uses' => 'PackagesController@view' ]);
	  Route::post('packages/view/{id?}', [ 'uses' => 'PackagesController@viewPost' ]);
	  Route::get('packages/new', [ 'as' => 'admin.packages.new', 'uses' => 'PackagesController@getNew' ]);
	  Route::post('packages/new', [ 'uses' => 'PackagesController@postNew' ]);

        # KYCS #
        Route::get('kycs', [ 'as' => 'admin.kycs', 'uses' => 'UsersController@getKycs' ]);
		Route::get('kycs/{id?}', [ 'as' => 'admin.kycs.view', 'uses' => 'UsersController@getKycsView' ]);
		Route::get('userkycs/{id?}', [ 'as' => 'admin.userkycs.view', 'uses' => 'UsersController@getUserKycView' ]);
        Route::post('kycs/{id?}', [ 'uses' => 'UsersController@postKycsView' ]);

	  # AUCTION #
	  Route::group(['prefix' => 'auction'], function() {
  		Route::get('items', [ 'as' => 'admin.auction.items', 'uses' => 'AuctionController@getItems' ]);
	  	Route::get('items/new', [ 'as' => 'admin.auction.items.new', 'uses' => 'AuctionController@getItemsNew' ]);
	  	Route::post('items/new', [ 'uses' => 'AuctionController@postItemsNew' ]);
  		Route::get('items/{id?}', [ 'as' => 'admin.auction.items.edit', 'uses' => 'AuctionController@getItemsView' ]);
	  	Route::post('items/{id?}', [ 'uses' => 'AuctionController@postItemsView' ]);
		  	//packages
	  	Route::get('packages', [ 'as' => 'admin.auction.packages', 'uses' => 'AuctionController@getPackages' ]);
  		Route::get('packages/new', [ 'as' => 'admin.auction.packages.new', 'uses' => 'AuctionController@getPackagesNew' ]);
	  	Route::post('packages/new', [ 'uses' => 'AuctionController@postPackagesNew' ]);
	  	Route::get('packages/{id?}', [ 'as' => 'admin.auction.packages.view', 'uses' => 'AuctionController@getPackagesView' ]);
	  	Route::post('packages/{id?}', [ 'uses' => 'AuctionController@postPackagesView' ]);
	  		//categories
	  	Route::get('categories', [ 'as' => 'admin.auction.categories', 'uses' => 'AuctionController@getCategories' ]);
  		Route::get('categories/new', [ 'as' => 'admin.auction.categories.new', 'uses' => 'AuctionController@getCategoriesNew' ]);
	  	Route::post('categories/new', [ 'uses' => 'AuctionController@postCategoriesNew' ]);
	  	Route::get('categories/{id?}', [ 'as' => 'admin.auction.categories.view', 'uses' => 'AuctionController@getCategoriesView' ]);
	  	Route::post('categories/{id?}', [ 'uses' => 'AuctionController@postCategoriesView' ]);


          Route::get('purchases', [ 'as' => 'admin.auction.purchases', 'uses' => 'AuctionController@getAuctionPurchases' ]);


          Route::get('purchase/shipping/{id?}', ['as' => 'admin.auction-purchase.shipping.popup', 'uses' => 'AuctionController@getShippingInfo']);

	  });

	  # NEWS #
	  Route::get('news', [ 'as' => 'admin.news', 'uses' => 'NewsController@index' ]);
	  Route::get('news/edit/{id?}', [ 'as' => 'admin.news.edit', 'uses' => 'NewsController@getEdit' ]);
	  Route::post('news/edit/{id?}', [ 'uses' => 'NewsController@postEdit' ]);
	  Route::get('news/new', [ 'as' => 'admin.news.new', 'uses' => 'NewsController@getNew' ]);
	  Route::post('news/new', [ 'uses' => 'NewsController@postNew' ]);
	  // Route::get('news/delete/{id}', [ 'as' => 'admin.news.delete', 'uses' => 'NewsController@getDelete' ]);

	  # GIFT CARDS #
	  Route::get('giftcards', [ 'as' => 'admin.giftcards.index', 'uses' => 'GiftCardsController@index' ]);
	  Route::get('giftcards/new', [ 'as' => 'admin.giftcards.new', 'uses' => 'GiftCardsController@getNew' ]);
	  Route::post('giftcards/new', [ 'uses' => 'GiftCardsController@postNew' ]);

	  # SUPPORT #
	  Route::get('support', [ 'as' => 'admin.support', 'uses' => 'SupportController@index' ]);
	  Route::get('support/open', [ 'as' => 'admin.support.open', 'uses' => 'SupportController@open' ]);
	  Route::get('support/closed', [ 'as' => 'admin.support.closed', 'uses' => 'SupportController@closed' ]);
	  Route::get('support/view/{id}', [ 'as' => 'admin.support.view', 'uses' => 'SupportController@view' ]);
	  Route::post('support/view/{id}', [ 'uses' => 'SupportController@reply' ]);
	  Route::get('support/closeTicket/{id}', [ 'as' => 'admin.support.closeticket', 'uses' => 'SupportController@closeTicket' ]);
	  Route::get('support/openTicket/{id}', [ 'as' => 'admin.support.openticket', 'uses' => 'SupportController@openTicket' ]);
	  Route::get('support/delete/{id}', [ 'as' => 'admin.support.delete', 'uses' => 'SupportController@delete' ]);
	  Route::get('support/deleteReply/{id}', ['as' => 'admin.support.delete_reply', 'uses' => 'SupportController@delete_reply']);
	  Route::get('support/responses', [ 'as' => 'admin.support.responses', 'uses' => 'SupportController@canned_responses' ]);
	  Route::get('support/responses/new', [ 'as' => 'admin.support.responses.new', 'uses' => 'SupportController@new_canned_responses' ]);
	  Route::post('support/responses/new', [ 'uses' => 'SupportController@new_canned_responsesPost' ]);
	  Route::get('support/responses/view/{id}', [ 'as' => 'admin.support.responses.view', 'uses' => 'SupportController@view_canned_responses' ]);
	  Route::post('support/responses/view/{id}', [ 'uses' => 'SupportController@view_canned_responsesPost' ]);
	  Route::get('support/responses/delete/{id}', [ 'as' => 'admin.support.responses.delete', 'uses' => 'SupportController@delete_canned_responses' ]);
	  Route::get('support/assigned-users', [ 'as' => 'admin.support.assigned', 'uses' => 'SupportController@assigned' ]);
	  Route::post('support/assigned-users', [ 'uses' => 'SupportController@assignedPost' ]);

        //support categories
        Route::get('support/categories', [ 'as' => 'admin.support.categories', 'uses' => 'SupportController@getSupportCategories' ]);
        Route::get('support/categories/new', [ 'as' => 'admin.support.categories.new', 'uses' => 'SupportController@getSupportCategoriesNew' ]);
        Route::post('support/categories/new', [ 'uses' => 'SupportController@postSupportCategoriesNew' ]);
        Route::get('support/categories/{id?}', [ 'as' => 'admin.support.categories.view', 'uses' => 'SupportController@getSupportCategoriesView' ]);
        Route::post('support/categories/{id?}', [ 'uses' => 'SupportController@postSupportCategoriesView' ]);

	  # SUMMARY #
	  Route::group(['prefix' => 'summary'], function(){
	      Route::get('accounting', ['as' => 'admin.summary.accounting', 'uses' => 'SummaryController@getAccounting']);
	      Route::get('balances', ['as' => 'admin.summary.balances', 'uses' => 'SummaryController@getBalances']);
	      Route::get('processor-breakdown', ['as' => 'admin.summary.processor-breakdown', 'uses' => 'SummaryController@getProcessorBreakdown']);
	      Route::post('processor-breakdown', [ 'uses' => 'SummaryController@processorBreakdown']);
	      Route::post('accounting', ['uses' => 'SummaryController@accounting']);
	  });

	  # HISTORY #
	  Route::group(['prefix' => 'history'], function(){
	      Route::get('transactions', ['as' => 'admin.history.transactions', 'uses' => 'HistoryController@getTransactions']);
	      Route::get('cashout', ['as' => 'admin.history.cashouts', 'uses' => 'HistoryController@getCashouts']);
	      Route::get('packages', ['as' => 'admin.history.packages', 'uses' => 'HistoryController@getTokens']);
          Route::get('deposits', ['as' => 'admin.history.deposits', 'uses' => 'HistoryController@getDeposits']);
	  });

	  # TOOLS #
	  Route::group(['prefix' => 'tools'], function(){
	      Route::get('token-transactions', ['as' => 'admin.tools.token-transactions', 'uses' => 'ToolsController@getTokenTransactions']);
	      Route::post('token-transactions', ['uses' => 'ToolsController@postTokenTransactions']);
	      Route::get('bank-transactions', ['as' => 'admin.tools.bank-transactions', 'uses' => 'ToolsController@getBankTransactions']);
	      Route::post('bank-transactions', [ 'uses' => 'ToolsController@postBankTransactions']);
	      Route::get('report-uploader', ['as' => 'admin.tools.report-uploader', 'uses' => 'ToolsController@getReportUploader']);
	      Route::post('report-uploader', [ 'uses' => 'ToolsController@postReportUploader']);
	  });

	  # COMMANDS #
	  Route::get('commands', [ 'as' => 'admin.commands', 'uses' => 'CommandsController@index' ]);
	  Route::get('commands/{name}', [ 'as' => 'admin.commands.run', 'uses' => 'CommandsController@run' ]);

	  # USER #
	  Route::group(['prefix' => 'users'], function() {
	      Route::get('/', [ 'as' => 'admin.users', 'uses' => 'UsersController@getIndex' ]);
	      Route::get('info/{id?}/{section?}/{edit?}', ['as' => 'admin.users.popup', 'uses' => 'UsersController@getUserInfo']);
	      Route::post('info/{id?}/{section?}/{edit?}', ['uses' => 'UsersController@postUserInfo']);

	      Route::get('delete/{id}', ['as' => 'admin.users.delete', 'uses' => 'UsersController@getUserDelete']);

	      Route::get('create', [ 'as' => 'admin.users.create', 'uses' => 'UsersController@getCreate' ]);
	      Route::post('create', [ 'uses' => 'UsersController@postCreate' ]);

	      Route::post('reinvest', ['as' => 'admin.users.reinvest', 'uses' => 'UsersController@postReinvest']);

	      Route::get('changeStatus/{id}/{status}', ['as' => 'admin.users.changeStatus', 'uses' => 'UsersController@changeUserStatus']);

	      Route::get('{userid}/bankProfile/{id?}', ['as' => 'admin.users.popup.bankProfiles.view', 'uses' => 'UsersController@getBankProfilesView']);
	      Route::post('{userid}/bankProfile/{id?}/delete', ['as' => 'admin.users.popup.bankProfiles.delete', 'uses' => 'UsersController@getBankProfilesDelete']);

	      Route::get('{userid}/new-password', ['as' => 'admin.users.new-password', 'uses' => 'UsersController@getSendNewPassword']);

	      Route::get('becomeMember/{id}', ['as' => 'admin.users.becomeMember', 'uses' => 'UsersController@becomeMember']);

	      Route::get('spreadsheet', ['as' => 'admin.users.spreadsheet', 'uses' => 'UsersController@getSpreadsheet']);
	  });

	  # CONTENT MANAGER #
	  Route::get('content-manager', [ 'as' => 'admin.content-manager', 'uses' => 'ContentManagerController@index' ]);
	  Route::get('content-manager/{id}', [ 'as' => 'admin.content-manager.view', 'uses' => 'ContentManagerController@view' ]);
	  Route::post('content-manager/{id}', [ 'uses' => 'ContentManagerController@viewPost' ]);

	  # FAQ MANAGER #
	  Route::get('faq-manager', ['as' => 'admin.faq-manager', 'uses' => 'FaqManagerController@index' ]);
	  Route::get('faq-manager/new', ['as' => 'admin.faq-manager.new', 'uses' => 'FaqManagerController@getNew' ]);
	  Route::post('faq-manager/new', ['uses' => 'FaqManagerController@postNew' ]);
	  Route::get('faq-manager/view/{id}', ['as' => 'admin.faq-manager.view', 'uses' => 'FaqManagerController@getView' ]);
	  Route::post('faq-manager/view/{id}', ['uses' => 'FaqManagerController@postView' ]);
	  Route::get('faq-manager/delete/{id}', ['as' => 'admin.faq-manager.delete', 'uses' => 'FaqManagerController@getDelete' ]);


	  //Route::get('/users/delete/{id}', ['as' => 'admin.users.delete', 'uses' => 'UsersController@delete']);




	  Route::group(['prefix' => 'requests'], function(){

	      Route::get('pending-deposits', ['as' => 'admin.requests.deposits', 'uses' => 'RequestsController@getPendingDeposits']);
	      Route::get('pending-cashouts', ['as' => 'admin.requests.cashouts', 'uses' => 'RequestsController@getPendingCashouts']);
	      Route::get('principal', ['as' => 'admin.requests.principal', 'uses' => 'RequestsController@getPendingPrincipal']);
	      Route::get('banks', ['as' => 'admin.requests.banks', 'uses' => 'RequestsController@getPendingBanks']);
	      Route::get('gateway-accounts', ['as' => 'admin.requests.gatewayAccounts', 'uses' => 'RequestsController@getPendingGatewayAccounts']);
	      Route::get('bank-wires', ['as' => 'admin.requests.bankWires', 'uses' => 'RequestsController@bankWires']);


	      Route::post('members-banks/{status?}', ['uses' => 'RequestsController@membersBanksPost']);
	      Route::get('members-banks/{status?}', ['as' => 'admin.requests.memberBanks', 'uses' => 'RequestsController@membersBanks']);
	      Route::get('members-banks/changeStatus/{status}/{id}', ['as' => 'admin.requests.memberBanks.status', 'uses' => 'RequestsController@membersBanksStatus']);
	      Route::get('members-banks/action/delete/{id}', ['as' => 'admin.requests.memberBanks.delete', 'uses' => 'RequestsController@membersBanksDelete']);
	      Route::post('members-banks/action/edit', ['as' => 'admin.requests.memberBanks.edit', 'uses' => 'RequestsController@membersBanksEditPost']);

	      Route::post('gateway-accounts/{status?}', ['uses' => 'RequestsController@gwAccountsPost']);
	      Route::get('gateway-accounts/{status?}', ['as' => 'admin.requests.gatewayAccounts', 'uses' => 'RequestsController@gwAccounts']);
	      Route::get('gateway-accounts/changeStatus/{status}/{id}', ['as' => 'admin.requests.gatewayAccounts.status', 'uses' => 'RequestsController@gwAccountsStatus']);
	      Route::get('gateway-accounts/action/delete/{id}', ['as' => 'admin.requests.gatewayAccounts.delete', 'uses' => 'RequestsController@gwAccountsDelete']);
	      Route::post('gateway-accounts/action/edit', ['as' => 'admin.requests.gatewayAccounts.edit', 'uses' => 'RequestsController@gwAccountsEditPost']);
	  });

	  //<--

	  /*Route::get('/affiliate-tools', ['as' => 'admin.affiliate', 'uses' => 'AffiliateController@index']);
	  Route::get('/affiliate-tools/new', [ 'as' => 'admin.affiliate.new', 'uses' => 'AffiliateController@create' ]);
	  Route::post('/affiliate-tools/new', [ 'uses' => 'AffiliateController@newPost' ]);
	  Route::get('/affiliate-tools/view/{id}', [ 'as' => 'admin.affiliate.view', 'uses' => 'AffiliateController@view' ]);
	  Route::post('/affiliate-tools/view/{id}', [ 'uses' => 'AffiliateController@viewPost' ]);
	  Route::get('/affiliate-tools/delete/{id}', [ 'as' => 'admin.affiliate.delete', 'uses' => 'AffiliateController@delete' ]);*/

  	Route::group(['namespace' => 'Ajax', 'prefix' => 'ajax'], function() {
      	## DATATABLES ##

	  	Route::post('auction/items.table', [ 'as' => 'admin.ajax.auction.items.table', 'uses' => 'AuctionController@postItemsTable' ]);
      	Route::post('auction/items/delete/{id?}', [ 'as' => 'admin.ajax.auction.items.delete', 'uses' => 'AuctionController@postItemsDelete' ]);
      	//packages
      	Route::post('auction/packages.table', [ 'as' => 'admin.ajax.auction.packages.table', 'uses' => 'AuctionController@postPackagesTable' ]);
      	Route::post('auction/packages/delete/{id?}', [ 'as' => 'admin.ajax.auction.packages.delete', 'uses' => 'AuctionController@postPackagesDelete' ]);
      	Route::post('auction/packages.status', [ 'as' => 'admin.ajax.auction.packages.status', 'uses' => 'AuctionController@postPackagesStatusChange' ]);
      	//categories
      	Route::post('auction/categories.table', [ 'as' => 'admin.ajax.auction.categories.table', 'uses' => 'AuctionController@postCategoriesTable' ]);
        Route::post('auction/categories/delete/{id?}', [ 'as' => 'admin.ajax.auction.categories.delete', 'uses' => 'AuctionController@postCategoriesDelete' ]);
        Route::post('auction/categories.status', [ 'as' => 'admin.ajax.auction.categories.status', 'uses' => 'AuctionController@postCategoriesStatusChange' ]);

        Route::post('auction/purchases.table', [ 'as' => 'admin.ajax.auction_purchases.table', 'uses' => 'AuctionController@postAuctionPurchaseTable' ]);
        Route::post('auction/purchases.status', [ 'as' => 'admin.ajax.auction_purchases.status', 'uses' => 'AuctionController@postAuctionPurchaseStatusChange' ]);


        Route::post('kycs.table', [ 'as' => 'admin.ajax.kycs.table', 'uses' => 'UsersController@postKycsTable' ]);
        Route::post('kycs/delete/{id?}', [ 'as' => 'admin.ajax.kycs.delete', 'uses' => 'UsersController@postKycsDelete' ]);
        Route::post('kycs.status', [ 'as' => 'admin.ajax.kycs.status', 'uses' => 'UsersController@postKycsStatusChange' ]);
        Route::post('kycs.verify', [ 'as' => 'admin.ajax.kycs.verify', 'uses' => 'UsersController@setVerificationComplete' ]);

        //support categories
        Route::post('support/categories.table', [ 'as' => 'admin.ajax.support.categories.table', 'uses' => 'SupportController@postSupportCategoriesTable' ]);
        Route::post('support/categories/delete/{id?}', [ 'as' => 'admin.ajax.support.categories.delete', 'uses' => 'SupportController@postSupportCategoriesDelete' ]);
        Route::post('support/categories.status', [ 'as' => 'admin.ajax.support.categories.status', 'uses' => 'SupportController@postSupportCategoriesStatusChange' ]);



      	// upload
      	Route::post('auction/image-upload/{section}', [ 'as' => 'admin.ajax.auction.imageUpload', 'uses' => 'AuctionController@postImageUpload' ]);





	      Route::post('packages.table', [ 'as' => 'admin.ajax.packages.table', 'uses' => 'PackagesController@postPackagesTable' ]);

	      Route::post('news.table', [ 'as' => 'admin.ajax.news.table', 'uses' => 'NewsController@postNewsTable' ]);
	      Route::post('news/delete/{id?}', [ 'as' => 'admin.ajax.news.delete', 'uses' => 'NewsController@postDelete' ]);

	      Route::post('giftcards.table', [ 'as' => 'admin.ajax.giftcards.table', 'uses' => 'GiftCardsController@postGiftCardsTable' ]);
	      Route::post('giftcards/delete/{id?}', [ 'as' => 'admin.ajax.giftcards.delete', 'uses' => 'GiftCardsController@postDelete' ]);

	      Route::post('emailtemplates.table', [ 'as' => 'admin.ajax.emailtemplates.table', 'uses' => 'EmailTemplatesController@postTemplatesTable' ]);
	      Route::post('email-templates/delete/{id?}', [ 'as' => 'admin.ajax.emailtemplates.delete', 'uses' => 'EmailTemplatesController@postDelete' ]);

	      Route::post('requests/deposits.table', ['as' => 'admin.ajax.requests.pendingDeposits.table', 'uses' => 'RequestsController@getPendingDepositsTable' ]);
	      Route::post('requests/deposits/action', ['as' => 'admin.ajax.requests.pendingDeposits.action', 'uses' => 'RequestsController@postPendingDepositsAction' ]);
	      Route::post('requests/cashouts.table', ['as' => 'admin.ajax.requests.pendingCashouts.table', 'uses' => 'RequestsController@getPendingCashoutsTable' ]);
	      Route::post('requests/cashouts/action', ['as' => 'admin.ajax.requests.pendingCashouts.action', 'uses' => 'RequestsController@postPendingCashoutsAction' ]);
	      Route::post('requests/principal.table', ['as' => 'admin.ajax.requests.pendingPrincipal.table', 'uses' => 'RequestsController@getPendingPrincipalTable' ]);
	      Route::post('requests/principal/action', ['as' => 'admin.ajax.requests.pendingPrincipal.action', 'uses' => 'RequestsController@postPendingPrincipalAction' ]);

	      Route::post('requests/banks.table', ['as' => 'admin.ajax.requests.pendingBanks.table', 'uses' => 'RequestsController@getPendingBanksTable' ]);
	      Route::post('requests/banks/action', ['as' => 'admin.ajax.requests.pendingBanks.action', 'uses' => 'RequestsController@postPendingBanksAction' ]);

	      Route::post('requests/gateway-accounts.table', ['as' => 'admin.ajax.requests.pendingGatewayAccounts.table', 'uses' => 'RequestsController@getPendingGatewayAccountsTable' ]);
	      Route::post('requests/gateway-accounts/action', ['as' => 'admin.ajax.requests.pendingGatewayAccounts.action', 'uses' => 'RequestsController@postPendingGatewayAccountsAction' ]);

	      Route::post('history/transactions.table', ['as' => 'admin.ajax.history.transactions.table', 'uses' => 'HistoryController@postTransactionsTable' ]);
	      Route::post('history/cashouts.table', ['as' => 'admin.ajax.history.cashouts.table', 'uses' => 'HistoryController@postTransactionsTable' ]);
	      Route::post('history/packages.table', ['as' => 'admin.ajax.history.packages.table', 'uses' => 'HistoryController@postTokensTable' ]);
	      Route::post('history/deposits.table', ['as' => 'admin.ajax.history.deposits.table', 'uses' => 'HistoryController@postDepositsTable' ]);

	      Route::post('users.table', ['as' => 'admin.ajax.users.table', 'uses' => 'UsersController@postUsersTable' ]);

	      ## DATATABLES ##

	      # MISC #

	      Route::post('massmailer/template', [ 'as' => 'admin.ajax.massmailer.template', 'uses' => 'MassMailerController@postTemplate' ]);
	      Route::post('support/getResponse', [ 'as' => 'admin.ajax.support.getResponse', 'uses' => 'SupportController@postCannedResponse' ]);
	      Route::post('summary/accounting.data', ['as' => 'admin.ajax.summary.accounting.data', 'uses' => 'SummaryController@postAccounting' ]);
	      Route::post('users/search.select2', ['as' => 'admin.ajax.users.search.select2', 'uses' => 'UsersController@postSearchUser']);
	      Route::post('packages.status', [ 'as' => 'admin.ajax.packages.status', 'uses' => 'PackagesController@postStatusChange' ]);

	      # MISC #

	      # USER INFO #

	      Route::post('users/info/accounting.data', ['as' => 'admin.ajax.users.accounting.data', 'uses' => 'UsersController@postAccountingData']);
	      Route::post('users/info/transactions.table', ['as' => 'admin.ajax.users.transactions.table', 'uses' => 'UsersController@postTransactionsTable']);
	      Route::post('users/info/packages.table', ['as' => 'admin.ajax.users.packages.table', 'uses' => 'UsersController@postPackagesTable']);
	      Route::post('users/info/bankProfiles.table', ['as' => 'admin.ajax.users.bankProfiles.table', 'uses' => 'UsersController@postBankProfilesTable']);
	      Route::post('users/info/bankProfiles/action', ['as' => 'admin.ajax.users.bankProfiles.action', 'uses' => 'UsersController@postBankProfilesAction']);

	      # USER INFO #


	      Route::post('/users/dtSearch', ['as' => 'admin.ajax.users.dtSearch', 'uses' => 'AjaxController@dtSearch' ]);
	      Route::post('/users/getUser', ['as' => 'admin.ajax.users.getUser', 'uses' => 'AjaxController@getUser' ]);
	      Route::post('/users/getUserWT', ['as' => 'admin.ajax.users.getUser.withtemplate', 'uses' => 'AjaxController@getUserWT' ]);


	      Route::get('/users/editMember/{id}', ['as' => 'admin.ajax.users.editMember', 'uses' => 'AjaxController@editMember']);
	      Route::post('/users/changeStatus', ['as' => 'admin.ajax.userStatus', 'uses' => 'AjaxController@changeUserStatus']);

	      Route::post('/users/searchDownline', ['as' => 'admin.ajax.users.searchDownline', 'uses' => 'AjaxController@searchDownline']);
	      Route::post('/users/delete', ['as' => 'admin.ajax.users.delete', 'uses' => 'AjaxController@delete']);

	      # REPORTS #
	      Route::post('tools/reports.table', ['as' => 'admin.ajax.tools.reports.table', 'uses' => 'ToolsController@postReportsTable']);
	      Route::post('tools/reports/delete', ['as' => 'admin.ajax.tools.reports.delete', 'uses' => 'ToolsController@postDeleteReport']);
	  });

	});

});